package nexus.billing.methods

import nexus.core.methods.Serializable
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import java.util.*

@Serializable
data class SetForwarding(override var params: Params) : EndpointRequestType<SetForwarding.Params, SetForwarding.Response> {
    override var method = "billing.setForwarding"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError
    @Serializable data class Params(var setForwarding: Boolean) : NetworkObject()
    @Serializable class Response : NetworkObject()
}