package nexus.billing.methods.plan

import nexus.billing.methods.common.Provider
import nexus.billing.methods.common.Verification
import nexus.billing.methods.service.Service
import nexus.core.methods.NetworkObject

open class Plan: NetworkObject() {
    lateinit var id: String
    lateinit var name: String
    lateinit var provider: Provider
    lateinit var category: Category
    var verificationRequired: Array<Verification> = emptyArray()
    lateinit var type: Types
    var services: Array<Service> = emptyArray()

    enum class Types {
        main,
        addon,
        external
    }
}