package nexus.billing.methods.profile

import nexus.billing.methods.assets.Asset
import nexus.billing.methods.common.Units
import nexus.billing.methods.service.Service
import nexus.core.methods.NetworkObject

 open class ProfileService: NetworkObject() {
     lateinit var id: String
     lateinit var serviceID: String
     lateinit var type: Service.Types
     lateinit var state: State
     lateinit var category: Service.Category
     lateinit var activation: Activation
     var units: Units? = null
     var asset: Asset? = null
     var simcard: Simcard? = null
     var voicemail: VoiceMail? = null
     var recurringInterval: Double? = null
     var selectedAt: Double? = null
     var activatedAt: Double? = null
     var suspendedAt: Double? = null
     var expirationDate: Double? = null
     var nextActivationAt: Double? = null

    enum class Activation {
        auto,
        manual,
    }

    class Simcard(
        var msisdn: String,
        var imsi: String,
        var forwarded: Boolean,
        var updatedAt: Double
    ): NetworkObject()

    class VoiceMail(
        var id: String,
        var fileID: String,
        var name: String,
        var updatedAt: Double
    ): NetworkObject()

    enum class State {
        pending,
        suspended,
        completed,
        active,
        inactive,
        removed,
    }
}