package nexus.billing.methods.requests

import nexus.billing.methods.common.Descriptions
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.*

@Serializable
data class GetDescriptions(override var params: Params) : EndpointRequestType<GetDescriptions.Params, GetDescriptions.Response> {
    override var method = "billing.description"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params(
        var language: String,
        var planIDs: Array<String>? = null,
        var serviceIDs: Array<String>? = null,
        var providerIDs: Array<String>? = null,
        var planCategoryIDs: Array<String>? = null
    ) : NetworkObject()

    @Serializable
    class Response(var descriptions: Array<Descriptions>) : NetworkObject()
}