package nexus.billing.methods.requests

import nexus.billing.methods.profile.Profile
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.*

@Serializable
data class GetProfile(override var params: Params) : EndpointRequestType<GetProfile.Params, GetProfile.Response> {
    override var method = "billing.profile"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params : NetworkObject()
    @Serializable
    class Response : Profile()
}