package nexus.billing.methods.requests.plan

import nexus.billing.methods.plan.Plan
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.*

@Serializable
data class GetPlan(override var params: Params) : EndpointRequestType<GetPlan.Params, GetPlan.Response> {
    override var method = "billing.plan"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params(var planID: String) : NetworkObject()
    @Serializable
    class Response : Plan()
}