package nexus.billing.methods.requests.plan

import nexus.billing.methods.profile.ProfilePlan
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.*

@Serializable
data class PlanSelect(override var params: Params) : EndpointRequestType<PlanSelect.Params, PlanSelect.Response> {
    override var method = "billing.plan.select"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params(var planID: String) : NetworkObject()
    @Serializable
    class Response : ProfilePlan()
}