package nexus.billing.methods.requests.plan

import nexus.billing.methods.common.Route
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.*

@Serializable
data class PlanServiceRoute(override var params: Params) : EndpointRequestType<PlanServiceRoute.Params, PlanServiceRoute.Response> {
    override var method = "billing.plan.service.routes"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params(var planID: String, var serviceID: String) : NetworkObject()

    @Serializable
    class Response(var routes: Array<Route>) : NetworkObject()
}