package nexus.billing.methods.requests.profileplan

import nexus.billing.methods.profile.ProfilePlan
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.*

@Serializable
data class ProfilePlanAssetSelect(override var params: Params) :
    EndpointRequestType<ProfilePlanAssetSelect.Params, ProfilePlanAssetSelect.Response> {
    override var method = "billing.profile.plan.asset.select"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params(var profilePlanID: String, var serviceID: String, var assetID: String) : NetworkObject()
    @Serializable
    class Response : ProfilePlan()
}