package nexus.billing.methods.requests.profileplan

import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.*

@Serializable
data class ProfilePlanRemove(override var params: Params) :
    EndpointRequestType<ProfilePlanRemove.Params, ProfilePlanRemove.Response> {
    override var method = "billing.profile.plan.remove"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params(var profilePlanID: String) : NetworkObject()
    @Serializable
    class Response : NetworkObject()
}