package nexus.billing.methods.requests.profileplan

import nexus.billing.methods.profile.Profile
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.UUID

@Serializable
data class ProfilePlanSync(override var params: Params) : EndpointRequestType<ProfilePlanSync.Params, ProfilePlanSync.Response> {
    override var method = "billing.profile.sync"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params : NetworkObject()
    @Serializable
    class Response : Profile()
}