package nexus.billing.methods.requests.profileplan.external

import nexus.billing.methods.common.Provider
import nexus.billing.methods.profile.ProfilePlan
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.UUID

@Serializable
data class GetProfilePlanProviders(override var params: Params) : EndpointRequestType<GetProfilePlanProviders.Params, GetProfilePlanProviders.Response> {
    override var method = "billing.profile.plan.external.providers"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params() : NetworkObject()
    @Serializable
    class Response(var providers: Array<Provider>) : ProfilePlan()
}