package nexus.billing.methods.requests.profileplan.external

import nexus.billing.methods.profile.ProfilePlan
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.UUID

@Serializable
data class ProfilePlanRegister(override var params: Params) : EndpointRequestType<ProfilePlanRegister.Params, ProfilePlanRegister.Response> {
    override var method = "billing.profile.plan.external.register"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params(var providerID: String, var credentials: Credentials) : NetworkObject()
    class Credentials(var login: Login? = null, var validated: Validate? = null) : NetworkObject()
    class Login(var username: String, var password: String) : NetworkObject()
    class Validate(var validationCode: String, var identifier: String) : NetworkObject()
    @Serializable
    class Response : ProfilePlan()
}
