package nexus.billing.methods.requests.profileplan.service

import nexus.billing.methods.profile.ProfilePlan
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.UUID

@Serializable
data class ProfilePlanServiceAdd(override var params: Params) :
    EndpointRequestType<ProfilePlanServiceAdd.Params, ProfilePlanServiceAdd.Response> {
    override var method = "billing.profile.plan.service.add"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params(var profilePlanID: String, var serviceID: String) : NetworkObject()
    @Serializable
    class Response : ProfilePlan()
}