package nexus.billing.methods.requests.profileplan.service

import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.UUID

@Serializable
data class ProfilePlanServiceSMS(override var params: Params) :
    EndpointRequestType<ProfilePlanServiceSMS.Params, ProfilePlanServiceSMS.Response> {
    override var method = "billing.profile.plan.service.sms"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params(var profilePlanID: String, var profilePlanServiceID: String, var destination: String, var body: String) : NetworkObject()

    @Serializable
    class Response(var id: String, var state: State) : NetworkObject()

    enum class State {
        sent,
        failed,
        pending
    }
}
