package nexus.billing.methods.requests.profileplan.service

import nexus.billing.methods.profile.ProfileService
import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.UUID

@Serializable
data class ProfilePlanServiceVoiceMailSet(override var params: Params) : EndpointRequestType<ProfilePlanServiceVoiceMailSet.Params, ProfilePlanServiceVoiceMailSet.Response> {
    override var method = "billing.profile.plan.service.voicemail.set"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError

    @Serializable
    class Params(var profilePlanID: String, var profilePlanServiceID: String, var id: String) : NetworkObject()

    @Serializable
    class Response : ProfileService()
}