package nexus.billing.methods.requests.voicemail

import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.UUID

@Serializable
data class AddVoiceMail(override var params: Params) : EndpointRequestType<AddVoiceMail.Params, AddVoiceMail.Response> {
    override var method = "billing.voicemail.add"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError
    @Serializable
    data class Params(var fileId: String, var name: String) : NetworkObject()
    @Serializable
    data class Response(var id: String) : NetworkObject()
}