package nexus.billing.methods.requests.voicemail

import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.UUID

@Serializable
data class GetVoiceMail(override var params: Params) :
    EndpointRequestType<GetVoiceMail.Params, GetVoiceMail.Response> {
    override var method = "billing.voicemail.get"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError
    @Serializable class Params : NetworkObject()

    @Serializable
    data class Response(
        var currentGreetingId: String? = null,
        var defaultGreetings: Array<Greeting>,
        var customGreetings: Array<Greeting>
    ) : NetworkObject()

    @Serializable
    class Greeting(
        var id: String,
        var name: String,
        var fileId: String? = null,
        var createdAt: Double? = null
    ) : NetworkObject()

    object Error {
        const val vmGreetingNotAvailable = 213
    }
}