package nexus.billing.methods.requests.voicemail

import nexus.core.methods.EndpointError
import nexus.core.methods.EndpointRequestType
import nexus.core.methods.NetworkObject
import nexus.core.methods.Serializable
import java.util.UUID

@Serializable
data class RemoveVoiceMail(override var params: Params) :
    EndpointRequestType<RemoveVoiceMail.Params, RemoveVoiceMail.Response> {
    override var method = "billing.voicemail.remove"
    override var id = UUID.randomUUID().toString().uppercase()
    override var version: Double = 1.0
    override lateinit var result: Response
    override lateinit var error: EndpointError
    @Serializable data class Params(var id: String) : NetworkObject()
    @Serializable class Response : NetworkObject()

    object Error {
        const val cantDeleteActiveGreeting = 214
        const val wrongIdGreeting = 215
    }
}