package nexus.billing.methods.service

import nexus.billing.methods.assets.Asset
import nexus.core.methods.NetworkObject
import nexus.core.util.Currency

data class Service(
    var id: String,
    var type: Types,
    var category: Category,
    var duration: Double?,
    var units: Int?,
    var currency: Currency,
    var activation: Activation,
    var recurringAmount: Int?,
    var purchaseAmount: Int?,
    var recurringInterval: Double?,
    var assets: Array<Asset>?,
): NetworkObject() {
    
    enum class Types {
        route,
        asset, 
        `package`,
        discount, 
        purchase,
        generic,
        simcard,
        voicemail
    }

    enum class Category {
        sms,
        voice,
        data,
        media,
        generic,
        external,
        internal,
    }
    enum class Activation {
        mandatory,
        selective,
        optional
    }
}