package nexus.billing.ui

import android.graphics.Color
import android.os.Bundle
import android.widget.FrameLayout
import nexus.billing.ui.profile.ProfilePlansFragment
import nexus.appui.Theme
import nexus.appui.Theme.dpf2
import nexus.appui.ui.BaseActivity
import nexus.appui.ui.BaseFragment
import nexus.appui.utils.ViewUtils

class ProfilePlansActivity: BaseActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        this.haveActionBar = false
        super.onCreate(savedInstanceState)

        val rootView = FrameLayout(this)
        rootView.setBackgroundColor(theme.getColor(Theme.key_whiteBackground))
        this.setContentView(rootView, ViewUtils.frameMatchMatch())
        val detailsView = FrameLayout(this)
        detailsView.fitsSystemWindows = true
        detailsView.id = nexus.appui.R.id.fragment_details
        detailsView.setBackgroundColor(Color.TRANSPARENT)
        detailsView.translationZ = dpf2(10f)
        rootView.addView(detailsView, ViewUtils.frameMatchMatch())

        this.showFragment(ProfilePlansFragment.getInstance())
    }

    fun showFragment(fragment: BaseFragment?) {
        if (fragment == null) return
        supportFragmentManager
            .beginTransaction()
            .setReorderingAllowed(false)
            .replace(nexus.appui.R.id.fragment_details, fragment, fragment.tag)
            .commit()
    }

    override fun onBackPressed() {
        if (supportFragmentManager.backStackEntryCount <= 1) {
            finish()
        } else {
            supportFragmentManager.popBackStack()
        }
    }
}