package nexus.billing.ui.route

import androidx.lifecycle.LiveData
import androidx.lifecycle.ViewModel
import androidx.lifecycle.liveData
import nexus.billing.billingKit
import nexus.billing.methods.common.Route
import nexus.core.NCPCore
import nexus.appui.utils.Resource

class PlanRoutesViewModel: ViewModel() {

    fun planRoutes(planId: String, serviceId: String): LiveData<Resource<Array<Route>>> {
        return liveData {
            emit(Resource.loading(null))
            try {
                val routes = NCPCore.instance.billingKit.controller.requestPlanServiceRoutes(planId, serviceId)
                emit(Resource.success(routes))
            } catch (ex: Exception) {
                emit(Resource.error(ex.message ?: ex.toString(), emptyArray()))
            }
        }
    }
}