package nexus.billing.ui.rows

import android.content.Context
import android.text.TextUtils
import android.util.TypedValue
import android.view.Gravity
import android.widget.ImageView
import android.widget.LinearLayout
import android.widget.TextView
import androidx.core.view.setPadding
import nexus.billing.R
import nexus.billing.methods.assets.Asset
import nexus.core.extentions.toDisplayNumber
import nexus.appui.Theme
import nexus.appui.Theme.dp
import nexus.appui.utils.ViewUtils

class RowAsset(ctx: Context) : LinearLayout(ctx) {

    var numberTv: TextView
    var arr: ImageView
    var icon: ImageView

    init {
        this.layoutParams = LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.WRAP_CONTENT)
        this.orientation = HORIZONTAL
        this.gravity = Gravity.CENTER_VERTICAL
        this.setBackgroundResource(ViewUtils.selectableResId(context))
        this.isClickable = true
        this.isFocusable = true
        this.setPadding(dp(10f))

        this.icon = ImageView(ctx)
        this.icon.setImageResource(R.drawable.ic_plan_number)
        this.icon.setColorFilter(Theme.getColor(Theme.key_rowTextBlack))
        addView(icon, ViewUtils.linearParams(25, 25))
        this.numberTv = TextView(context)
        addView(this.numberTv, LayoutParams(0, LayoutParams.WRAP_CONTENT, 1f))
        this.numberTv.setTextColor(Theme.getColor(Theme.key_rowTextBlack))
        this.numberTv.setTextSize(TypedValue.COMPLEX_UNIT_SP, 17f)
        this.numberTv.setPadding(dp(10f), 0, dp(10f), 0)
        this.numberTv.gravity = Gravity.START
        this.numberTv.isSingleLine = true
        this.numberTv.ellipsize = TextUtils.TruncateAt.END
        this.numberTv.typeface = Theme.font

        this.arr = ImageView(ctx)
        addView(arr, ViewUtils.linearParams(15, 15))
        this.arr.setImageResource(R.drawable.ic_arrow_right)
        this.arr.setColorFilter(Theme.getColor(Theme.key_greyColor))
    }

    fun showAsset(asset: Asset) {
        this.numberTv.text = asset.number.toDisplayNumber()
    }
}