package nexus.billing.ui.rows

import android.content.Context
import android.graphics.Color
import android.graphics.Typeface
import android.util.TypedValue
import android.view.Gravity
import android.widget.ImageView
import android.widget.LinearLayout
import android.widget.TextView
import nexus.billing.ui.plan.PlanNotifyFragment
import nexus.appui.Theme
import nexus.appui.Theme.dp
import nexus.appui.utils.ViewUtils

class RowPlanNotify(val ctx: Context): LinearLayout(ctx) {

    val icon: ImageView
    val nameTv: TextView
    val textTv: TextView

    init {
        orientation = VERTICAL
        setPadding(dp(20f), dp(10f), dp(20f), dp(10f))

        val nameLyt = LinearLayout(ctx)
        addView(nameLyt, ViewUtils.linearMatchWrap())
        nameLyt.orientation = HORIZONTAL
        nameLyt.setPadding(0, 0, 0, dp(8f))
        nameLyt.gravity = Gravity.CENTER_VERTICAL
        this.icon = ImageView(ctx)
        nameLyt.addView(this.icon, ViewUtils.linearParams(30, 30))
        this.nameTv = TextView(ctx)
        nameLyt.addView(this.nameTv, ViewUtils.linearMatchWrap())
        this.nameTv.setPadding(dp(5f), 0, 0, 0)
        this.nameTv.setTypeface(Theme.font, Typeface.BOLD)
        this.nameTv.setTextSize(TypedValue.COMPLEX_UNIT_SP, Theme.titleText)
        this.nameTv.setTextColor(Theme.getColor(Theme.key_rowTextBlack))
        this.textTv = TextView(ctx)
        addView(this.textTv, ViewUtils.linearMatchWrap())
        this.textTv.typeface = Theme.font
        this.textTv.setTextSize(TypedValue.COMPLEX_UNIT_SP, Theme.secondaryText)
        this.textTv.setPadding(dp(8f), dp(5f), dp(8f), dp(5f))
        this.textTv.background = ViewUtils.getRect(Color.TRANSPARENT, dp(10f), Theme.getColor(Theme.key_primaryColor))
        this.textTv.setTextColor(Theme.getColor(Theme.key_rowTextBlack))
    }

    fun showNotify(notify: PlanNotifyFragment.PlanNotify) {
        this.nameTv.text = notify.name
        this.textTv.text = notify.text
        this.icon.setImageResource(notify.img)
    }
}