package nexus.billing.ui.rows

import android.content.Context
import android.graphics.Color
import android.util.TypedValue
import android.view.Gravity
import android.widget.ImageView
import android.widget.LinearLayout
import android.widget.TextView
import nexus.billing.R
import nexus.appui.Theme
import nexus.appui.Theme.getColor
import nexus.appui.utils.ViewUtils.getCircle
import nexus.appui.utils.ViewUtils.linearMatchWrap
import nexus.appui.utils.ViewUtils.linearParams
import nexus.appui.utils.ViewUtils.selectableResId

class RowVoiceMail(ctx: Context) : LinearLayout(ctx) {

    val tvName: TextView
    val check: ImageView
    val actionBtn: ImageView
    val nameLyt: LinearLayout

    init {
        val p10: Int = Theme.dp(10f)
        this.orientation = HORIZONTAL
        this.gravity = Gravity.CENTER_VERTICAL
        this.setPadding(0, 0, p10, 0)
        this.gravity = Gravity.CENTER_VERTICAL
        this.layoutParams = linearMatchWrap()

        this.actionBtn = ImageView(ctx)
        val aLp = linearParams(40, 40)
        aLp.setMargins(Theme.dp(3f), Theme.dp(1f), Theme.dp(3f), Theme.dp(1f))
        addView(this.actionBtn, aLp)
        this.actionBtn.setColorFilter(Color.WHITE)
        this.actionBtn.setImageResource(R.drawable.ic_download)
        this.actionBtn.background = getCircle(ctx.resources.getColor(R.color.black_transparent), 0)
        this.actionBtn.setPadding(Theme.dp(5f), 0, Theme.dp(5f), 0)

        this.nameLyt = LinearLayout(ctx)
        this.nameLyt.orientation = HORIZONTAL
        addView(this.nameLyt, linearParams(0, LayoutParams.WRAP_CONTENT, 1f))
        this.nameLyt.setBackgroundResource(selectableResId(ctx))
        this.nameLyt.gravity = Gravity.CENTER_VERTICAL
        this.nameLyt.isClickable = true

        this.tvName = TextView(ctx)
        this.nameLyt.addView(tvName, linearParams(0, LayoutParams.WRAP_CONTENT, 1f))
        this.tvName.setTextColor(getColor(Theme.key_rowTextBlack))
        this.tvName.minHeight = Theme.dp(50f)
        this.tvName.gravity = Gravity.CENTER_VERTICAL
        this.tvName.setPadding(p10, 0, p10, 0)
        this.tvName.setTextSize(TypedValue.COMPLEX_UNIT_SP, 17f)

        this.check = ImageView(ctx)
        this.nameLyt.addView(this.check, linearParams(20, 20))
        this.check.setColorFilter(getColor(Theme.key_primaryColor))
        this.check.setImageResource(R.drawable.ic_done)
        this.check.visibility = GONE
    }
}
